Subject: Re: git-gui not working in a non-default Cygwin installation.

From: Brian Dessent <[email-masked]>
Date: Sun, 17 Feb 2008 05:39:55 -0800

Jurko Gospodneti? wrote:

>    Sorry, I seem to be a bit confused about this... Why does cygwin not
> support Tcl/Tk above version 8.4.1?
> 
>    What about the information found on
> http://opencircuitdesign.com/cygwin under 'Tcl-Cygwin binary
> distribution download and install:'? It lists some additional downloads
> that may be used to install the latest Tcl/Tk on cygwin... Why is this
> not included in the regular Cygwin distribution (setup.exe)?

The Cygwin tcl/tk package exists primarily to support the Insight
debugger which uses its own bundled in-tree copy of tcl + tk + itcl +
itk.  If someone were to hack on Insight to decouple it, then it might
be possible to ship a different/newer version, but not until then.

Brian